<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_b"></a>- b -</h3><ul>
<li>broadcast
: <a class="el" href="mcm-base-info_8h.html#ac729f85ec303664d3e8c81a70ff1a3c4">mcm-base-info.h</a>
</li>
<li>bssid
: <a class="el" href="mcm-base-info_8h.html#acd57610007f7ed710e250701ea0c03a9">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>cell_id
: <a class="el" href="mcm-base-info_8h.html#a09a7a7a93a28f4ec9dc9f40b7f8dc577">mcm-base-info.h</a>
</li>
<li>channel
: <a class="el" href="mcm-base-info_8h.html#a0c72dd5e18823aef187a34137983c9a6">mcm-base-info.h</a>
</li>
<li>connection_status
: <a class="el" href="mcm-base-info_8h.html#a52fef7d34e37f56f3bf4b24d505d9f82">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>default_route
: <a class="el" href="mcm-base-info_8h.html#ae07305cbaed38d25344db17091d60c3c">mcm-base-info.h</a>
</li>
<li>device_imei
: <a class="el" href="mcm-base-info_8h.html#a9ddb75962d95d165cbe23639f2c61adf">mcm-base-info.h</a>
</li>
<li>device_name
: <a class="el" href="mcm-base-info_8h.html#a6cd1cfbc45c8f15dd88b3f752ae70a4e">mcm-base-info.h</a>
</li>
<li>device_type
: <a class="el" href="mcm-base-info_8h.html#af2f096ad2d7f6166acb346a978ceba9f">mcm-base-info.h</a>
</li>
<li>diag_state
: <a class="el" href="mcm-base-info_8h.html#a93da632cbe6aa0282bcaaa46861e399a">mcm-base-info.h</a>
</li>
<li>duplex
: <a class="el" href="mcm-base-info_8h.html#a88b073539a54e9b5002e29ae9ff3fd9b">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>enabled
: <a class="el" href="mcm-base-info_8h.html#a8740ba80e30dd75e71d09fa1dcf04f3d">mcm-base-info.h</a>
</li>
<li>encryption_type
: <a class="el" href="mcm-base-info_8h.html#a9ee2b7479945190bd6e16799f48be0a8">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>frequency
: <a class="el" href="mcm-base-info_8h.html#a5ab0a10129908228924a4f9a14e4f5dd">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>hwmode
: <a class="el" href="mcm-base-info_8h.html#a283b9096e1c8ed43b27006c10025958e">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>interface_name
: <a class="el" href="mcm-base-info_8h.html#a9a87c62177c96969d2d451132cb54892">mcm-base-info.h</a>
</li>
<li>ipv4_address
: <a class="el" href="mcm-base-info_8h.html#a8f15c84c92f895c70ab39c3dbf9e2a96">mcm-base-info.h</a>
</li>
<li>ipv4_dns
: <a class="el" href="mcm-base-info_8h.html#ac832f13256339c2829ad58eccb1bfe5d">mcm-base-info.h</a>
</li>
<li>ipv4_gateway
: <a class="el" href="mcm-base-info_8h.html#a5064283dc44548edeee8d566865e5d17">mcm-base-info.h</a>
</li>
<li>ipv4_method
: <a class="el" href="mcm-base-info_8h.html#ab5125e97510d71c51990ea272e8ccf88">mcm-base-info.h</a>
</li>
<li>ipv4_netmask
: <a class="el" href="mcm-base-info_8h.html#aa805e8b1d75b2a9bda3d5f8666591d57">mcm-base-info.h</a>
</li>
<li>ipv6_address
: <a class="el" href="mcm-base-info_8h.html#a0be0e69ac5c57ea9752a307e5bbe41bf">mcm-base-info.h</a>
</li>
<li>ipv6_dns
: <a class="el" href="mcm-base-info_8h.html#a0ee9c10c74c9b596e4fcd51b3d3163b1">mcm-base-info.h</a>
</li>
<li>ipv6_gateway
: <a class="el" href="mcm-base-info_8h.html#a462cf46f12f09d127042b278230c970f">mcm-base-info.h</a>
</li>
<li>ipv6_method
: <a class="el" href="mcm-base-info_8h.html#a2a8d51a784e3a91c1018ad2c25b38d05">mcm-base-info.h</a>
</li>
<li>ipv6_netmask
: <a class="el" href="mcm-base-info_8h.html#a0791a6014e71e8b2126c0dd6782fc2b5">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>link_detected
: <a class="el" href="mcm-base-info_8h.html#a680c64b36d7cd83a02a8269cc0ebad26">mcm-base-info.h</a>
</li>
<li>link_speed
: <a class="el" href="mcm-base-info_8h.html#aae24fc4f200e75aa8215f797b2561dbf">mcm-base-info.h</a>
</li>
<li>lte_rsrp
: <a class="el" href="mcm-base-info_8h.html#aa7c6e4e935cad07c26c9990d07e170c1">mcm-base-info.h</a>
</li>
<li>lte_rssnr
: <a class="el" href="mcm-base-info_8h.html#a606c4ca27b9ca93619c064ef009a634a">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>mac_address
: <a class="el" href="mcm-base-info_8h.html#adcbefa70f33164da7c7a133edecf7460">mcm-base-info.h</a>
</li>
<li>message
: <a class="el" href="mcm-base-info_8h.html#a47bd55b1532f4c046d542c544be6c1a5">mcm-base-info.h</a>
</li>
<li>modem_name
: <a class="el" href="mcm-base-info_8h.html#a4a4028ff21cfae1a75a198d2878024a8">mcm-base-info.h</a>
</li>
<li>modem_state
: <a class="el" href="mcm-base-info_8h.html#a4a18bc74b9c42ae58d0fa1cb16d293ab">mcm-base-info.h</a>
</li>
<li>modem_version
: <a class="el" href="mcm-base-info_8h.html#a06c1031cd435f4713caabd44ed1ce93b">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>name
: <a class="el" href="mcm-base-info_8h.html#ad53db8acabbf75e31bf23d9f20a2c847">mcm-base-info.h</a>
</li>
<li>network_rat
: <a class="el" href="mcm-base-info_8h.html#a1f21e2768945b1f541c5dd3f57dc1251">mcm-base-info.h</a>
</li>
<li>network_type
: <a class="el" href="mcm-base-info_8h.html#a8f10bd71183ff4754a7ba5466a94d237">mcm-base-info.h</a>
</li>
<li>next
: <a class="el" href="mcm-base-info_8h.html#ae70f8c0526045bc9ab39d163b03c75a7">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>operation_mode
: <a class="el" href="mcm-base-info_8h.html#aa0ce75e84ffdbdb732dfdb3df7e4a399">mcm-base-info.h</a>
</li>
<li>operator[16]
: <a class="el" href="mcm-base-info_8h.html#a29de19d425be7fc72163ee49d1a55542">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>pin_retries
: <a class="el" href="mcm-base-info_8h.html#a1a46011bffe3743e8c1cf4296b7b0f26">mcm-base-info.h</a>
</li>
<li>profile_name
: <a class="el" href="mcm-base-info_8h.html#a53f1e1a62400f91b0b5e3bce0eef5748">mcm-base-info.h</a>
</li>
<li>propertyName
: <a class="el" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">mcm-base-info.h</a>
</li>
<li>propertyValue
: <a class="el" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>rx
: <a class="el" href="mcm-base-info_8h.html#a895532773c3204e1538191f155c7bac8">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>secure_mode
: <a class="el" href="mcm-base-info_8h.html#a111d1b710875d0ac9796257db88b5786">mcm-base-info.h</a>
</li>
<li>signal
: <a class="el" href="mcm-base-info_8h.html#a1f69f7997ce759a5dfefd92dada64d30">mcm-base-info.h</a>
</li>
<li>signal_strength
: <a class="el" href="mcm-base-info_8h.html#a29d44840d72af729a809bfec5faecc7c">mcm-base-info.h</a>
</li>
<li>sim_iccid
: <a class="el" href="mcm-base-info_8h.html#a918e396c6bd62059a5ecc1ff457b3868">mcm-base-info.h</a>
</li>
<li>sim_imsi
: <a class="el" href="mcm-base-info_8h.html#ac891703b558dbf4fab2f1ba5b265c5e3">mcm-base-info.h</a>
</li>
<li>sim_slot
: <a class="el" href="mcm-base-info_8h.html#a5f277266698c1ab07f4502e1254e8cca">mcm-base-info.h</a>
</li>
<li>ssid
: <a class="el" href="mcm-base-info_8h.html#a3c162c53ea288b32ed55bdea0e50910b">mcm-base-info.h</a>
</li>
<li>state
: <a class="el" href="mcm-base-info_8h.html#a1b0c7bd4d79798ef4e0ce23894c9aeb2">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>taclac
: <a class="el" href="mcm-base-info_8h.html#acf170264c13e560add5c1e3211f0d7d8">mcm-base-info.h</a>
</li>
<li>tx
: <a class="el" href="mcm-base-info_8h.html#a9706173b2ed538efeb5ee4a952e2272f">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>umts_ecio
: <a class="el" href="mcm-base-info_8h.html#ab542be2627edaf897c2b21edfe82b6cb">mcm-base-info.h</a>
</li>
<li>umts_rssi
: <a class="el" href="mcm-base-info_8h.html#a5708f0f5b4ab7c3f40781add40ffeae1">mcm-base-info.h</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>wan_priority
: <a class="el" href="mcm-base-info_8h.html#a083983abcc8360e115036c7ef93fa103">mcm-base-info.h</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
